# This is an example section file which is only a reference for how section configs should be created in /sections/<shopName>.yml

# The file name defines the shop internal name and needs to match the filename for the section inside the shops folder
# Example:
# /sections/Food.yml -> /shops/Food.yml
# /sections/Workstations.yml -> /shops/Workstations.yml
#
# If this does not match, an example section will be created with name '<shopName>.yml', so make sure it matches!

# Defines whether this section should be loaded at all
enable: true

# The slot of the section item inside the main shop screen
slot: 5
# This is a required option

# The title of the shop different from the shop name
title: "&c&lExample_Shop"
# Defaults to the item name if empty

# Whether this shop section can be seen and accessed via the main shop
# If a section is hidden, it will be only accessible through the direct shop command (/shop <shopName>)
hidden: false

# Whether this shop is a subsection,
# subsections will be hidden from the main menu and cannot be opened via commands
sub-section: false

# Makes this section a simple display item to decorate the main shop GUI
# Display items won't have a section linked and nothing will happen when a player clicks it inside the main shop GUI,
# neither will this section be accessible via /shop <shopName>
display-item: true

# The economy used within this section, this is the same format as the config.yml uses
# See a list of all available economy types here: https://wiki.gpplugins.com/economyshopgui/file-configuration/config.yml#economy-provider
economy: "ITEM:material:EMERALD name:&a&lGems"

# The section fill item
# This item will be added to every empty slot inside the section
fill-item:
  material: "GRAY_STAINED_GLASS_PANE"
  name: ' '
  lore:
    - "&8I'm a fill item"

# The navigation bar which defaults to this section
# Leave empty to make this section inherit its navigation bar from the fall-back nav bar at the config.yml
nav-bar:
  # There are currently 3 navigation bar modes:
  # SELF = The section will have its own navigation bar separate from the default one inside the config.yml
  # DISABLED = No navigation bar will be used across this section
  # INHERIT = The same as leaving these options blank, in other words, the default will be used
  mode: "SELF"
  # The fill item for this navigation bar which will fill blank spots
  fill-item:
    material: "GRAY_STAINED_GLASS_PANE"
    name: ' '
  # The items containing this navigation bar, the last 9 slots of the inventory
  items:
    1:
      material: "RED_WOOL"
      name: '%translations-previous-page%'
      action: PAGE_BACK
      # When pagination for this item is enabled, this item will only show when the shop has more than 1 page.
      paginated:
        enabled: true
        # The below item will show as a placeholder for the actual navigation bar item only when the shop has one page.
        orElse:
          material: AIR
      slot: 4
    2:
      material: "NETHER_STAR"
      name: '%translations-current-page%'
      slot: 5
    3:
      material: "GREEN_WOOL"
      name: '%translations-next-page%'
      action: PAGE_NEXT
      paginated:
        enabled: true
        orElse:
          material: AIR
      slot: 6

# Options to configure the section item inside the main shop GUI
item:
  # The material of the item
  material: "BEACON"
  # The name of the item
  # If no shop title has been set, this will be used as a fallback
  name: "&cClick to enter the Example_Shop"
  # The lore of the item
  lore:
    - "&aThis section contains"
    - "&aa ton of different cool items."
  # Item enchantments
  enchantments:
    - "KNOCKBACK:10"
    - "SHARPNESS:10"
    - "MENDING"
  # Whether this item should have an enchantment glow affect
  enchantment-glint: true
  # The skull owner for this item
  skullowner: "Notch"
  # Custom armor color for leather armor
  armorcolor: "#0022FF"
  # The stack-size of the item
  stack-size: 16